package tbunionapi

import (
	"git.rosy.net.cn/baseapi/utils"
	"testing"
)

func TestOptimusMaterial(t *testing.T) {
	//result, err := api.OptimusMaterial(28026, 111339100149, 1, 20)
	//if err != nil {
	//	t.Fatal(err)
	//}
	//t.Log(utils.Format4Output(result, false))
}

func TestMaterialOptional(t *testing.T) {
	result, err := api.MaterialOptional(&MaterialOptionalParam{
		AdzoneID: 111339100149,
		PageNo:   1,
		PageSize: 10,
		Q:        "泡椒",
	})
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}

func TestItemConvert(t *testing.T) {
	result, err := api.ItemConvert(42319524271)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}

func TestItemcatsGet(t *testing.T) {
	result, err := api.ItemcatsGet(0)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}
